#ifndef UTILS_H_INCLUDED
#define UTILS_H_INCLUDED

#include <string>
#include <list>

using namespace std;

typedef unsigned int uint;

bool fileExists(const string & filename);
int fileSize(const char * filename);
string erase_leading_blank(const string & s);
string erase_trailing_blank(const string & s);
string replace_ext(const string & name, const string & ext);
string replace(const string & s, char c, char nc);
void remove_char(string & s, char c);
string ignore_quotation_mark(const string & s);
string force_quotation_mark(const string & s);
void replace(string & s, const string & w1, const string & w2);
void remove_meaningless_words(string &, const list<string> &);
string operator+(const string &, int);
string operator+(const string &, uint);
string operator+(const string &, double);
int str2int(const string & s);
double str2float(const string & s);
string int2str(int);
string float2str(double);
void read_f77_format(const string & f, uint & n, char & T, uint & w, uint & d);

#endif // UTILS_H_INCLUDED
